.\" $NetBSD: eca.4,v 1.1 2002/03/24 22:29:56 bjh21 Exp $
.\"
.\" Copyright (c) 2001 Ben Harris
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 11, 2001
.Dt ECA 4 acorn26
.Os
.Sh NAME
.Nm eca
.Nd Acorn Econet driver
.Sh SYNOPSIS
.Cd eca0 at ioc0 bank 2
.Sh DESCRIPTION
The
.Nm
driver provides access to an Econet network through a standard Acorn
Econet module, based on the Motorola 6854 ADLC.  It obtains its Econet
station number from the machine's CMOS RAM.
.Sh DIAGNOSTICS
.Bl -diag
.It %s: Tx underrun
Transmission of a frame failed because the driver couldn't get data to
the ADLC fast enough.  This might be caused by the network clock rate
being too high, or by the current screen mode using too much of the
data bus's bandwidth.
.It %s: collision
A collision occurred while transmitting a frame.  The transmission
should be retried, but currently isn't.
.It %s: incomplete transmission
A transmission failed to complete, but no obvious reason was found.
This should never happen.
.It %s: Rx overrun
Reception of a frame failed because the driver couldn't get data off
the ADLC fast enough.  Likely causes are the same as for
.Ql \&Tx underrun
above.
.It %s: Rx abort
A frame being received was aborted before it was complete.  This was
probably caused by a problem at the transmitting station.
.It %s: CRC error
A received frame failed its cyclic redundancy check and was discarded.
This is usually due to electrical noise on the network.
.It %s: No clock
The clock signal on the Econet has disappeared.  This probably
indicates that the machine is unplugged from the network, or that the
network itself has failed.
.It %s: Oversized frame
A frame larger than the current MTU of the interface was received and
discarded.
.El
.Sh SEE ALSO
.Xr netintro 4 ,
.Xr ifconfig 8
